/Users/bernard/b20/bsoft/include/rwmol_text.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwmol_text.h - Read and write molecules in plain text.

SYNOPSIS

  Functions
int read_mol_text (Bstring &filename, Bmolgroup *molgroup)
Reads a molecule group from a text file.
int write_mol_text (Bstring &filename, Bmolgroup *molgroup)
Writes a molecule group to a text file.

Detailed Description

Read and write molecules in plain text.

Author:
    Bernard Heymann

Date:
    Created: 20050419

    Modified: 20050419

Definition in file rwmol_text.h.

Function Documentation

  int read_mol_text (Bstring & filename, Bmolgroup * molgroup)

Reads a molecule group from a text file.

Parameters:
    &filename the file name.
    *molgroup the molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

Definition at line 22 of file rwmol_text.cpp.

  int write_mol_text (Bstring & filename, Bmolgroup * molgroup)

Writes a molecule group to a text file.

Parameters:
    &filename the file name.
    *molgroup the molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

Definition at line 75 of file rwmol_text.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.